{
    "block.functionalstorage.acacia_1": "金合欢木抽屉(1x1)",
    "block.functionalstorage.acacia_2": "金合欢木抽屉(1x2)",
    "block.functionalstorage.acacia_4": "金合欢木抽屉(2x2)",
    "block.functionalstorage.armory_cabinet": "军械柜",
    "block.functionalstorage.birch_1": "白桦木抽屉(1x1)",
    "block.functionalstorage.birch_2": "白桦木抽屉(1x2)",
    "block.functionalstorage.birch_4": "白桦木抽屉(2x2)",
    "block.functionalstorage.cherry_1": "樱花木抽屉(1x1)",
    "block.functionalstorage.cherry_2": "樱花木抽屉(1x2)",
    "block.functionalstorage.cherry_4": "樱花木抽屉(2x2)",
    "block.functionalstorage.compacting_drawer": "压缩抽屉",
    "block.functionalstorage.compacting_framed_drawer": "镶框压缩抽屉",
    "block.functionalstorage.controller_extension": "扩展控制器",
    "block.functionalstorage.crimson_1": "绯红木抽屉(1x1)",
    "block.functionalstorage.crimson_2": "绯红木抽屉(1x2)",
    "block.functionalstorage.crimson_4": "绯红木抽屉(2x2)",
    "block.functionalstorage.dark_oak_1": "深色橡木抽屉(1x1)",
    "block.functionalstorage.dark_oak_2": "深色橡木抽屉(1x2)",
    "block.functionalstorage.dark_oak_4": "深色橡木抽屉(2x2)",
    "block.functionalstorage.ender_drawer": "末影抽屉",
    "block.functionalstorage.fluid_1": "流体抽屉(1x1)",
    "block.functionalstorage.fluid_2": "流体抽屉(1x2)",
    "block.functionalstorage.fluid_4": "流体抽屉(2x2)",
    "block.functionalstorage.framed_1": "镶框抽屉(1x1)",
    "block.functionalstorage.framed_2": "镶框抽屉(1x2)",
    "block.functionalstorage.framed_4": "镶框抽屉(2x2)",
    "block.functionalstorage.framed_controller_extension": "镶框扩展控制器",
    "block.functionalstorage.framed_fluid_1": "镶框流体抽屉(1x1)",
    "block.functionalstorage.framed_fluid_2": "镶框流体抽屉(1x2)",
    "block.functionalstorage.framed_fluid_4": "镶框流体抽屉(2x2)",
    "block.functionalstorage.framed_simple_compacting_drawer": "镶框简易压缩抽屉",
    "block.functionalstorage.framed_storage_controller": "镶框存储控制器",
    "block.functionalstorage.jungle_1": "丛林木抽屉(1x1)",
    "block.functionalstorage.jungle_2": "丛林木抽屉(1x2)",
    "block.functionalstorage.jungle_4": "丛林木抽屉(2x2)",
    "block.functionalstorage.mangrove_1": "红树木抽屉(1x1)",
    "block.functionalstorage.mangrove_2": "红树木抽屉(1x2)",
    "block.functionalstorage.mangrove_4": "红树木抽屉(2x2)",
    "block.functionalstorage.oak_1": "橡木抽屉(1x1)",
    "block.functionalstorage.oak_2": "橡木抽屉(1x2)",
    "block.functionalstorage.oak_4": "橡木抽屉(2x2)",
    "block.functionalstorage.simple_compacting_drawer": "简易压缩抽屉",
    "block.functionalstorage.spruce_1": "云杉木抽屉(1x1)",
    "block.functionalstorage.spruce_2": "云杉木抽屉(1x2)",
    "block.functionalstorage.spruce_4": "云杉木抽屉(2x2)",
    "block.functionalstorage.storage_controller": "存储控制器",
    "block.functionalstorage.warped_1": "诡异木抽屉(1x1)",
    "block.functionalstorage.warped_2": "诡异木抽屉(1x2)",
    "block.functionalstorage.warped_4": "诡异木抽屉(2x2)",
    "config.jade.plugin_functionalstorage.armory": "功能性存储军械柜",
    "config.jade.plugin_functionalstorage.drawer": "功能性存储抽屉",
    "configurationtool.configmode": "配置模式:",
    "configurationtool.configmode.indicator": "切换指示模式",
    "configurationtool.configmode.indicator.mode_0": "隐藏",
    "configurationtool.configmode.indicator.mode_1": "显示进度条",
    "configurationtool.configmode.indicator.mode_2": "只在装满时显示进度条",
    "configurationtool.configmode.indicator.mode_3": "只在装满时显示进度条,不含背景",
    "configurationtool.configmode.locking": "锁定",
    "configurationtool.configmode.swapped": "模式切换为",
    "configurationtool.configmode.toggle_numbers": "隐藏/显示数量",
    "configurationtool.configmode.toggle_render": "隐藏/显示物品渲染",
    "configurationtool.configmode.toggle_upgrades": "隐藏/显示升级渲染",
    "configurationtool.use": "对空气潜行+右击以变更模式.对抽屉右击以开关选项.",
    "drawer_upgrade.functionalstorage.collect.fluid": "收集流体:%s",
    "drawer_upgrade.functionalstorage.collect.item": "收集物品实体:%s",
    "drawer_upgrade.functionalstorage.pull.fluid": "抽入流体:%s",
    "drawer_upgrade.functionalstorage.pull.item": "抽入物品:%s",
    "drawer_upgrade.functionalstorage.push.fluid": "推出流体:%s",
    "drawer_upgrade.functionalstorage.push.item": "推出物品:%s",
    "drawer_upgrade.functionalstorage.redstone": "为槽位 %s 发出红石信号",
    "drawer_upgrade.functionalstorage.relative_direction": "相对方向:%s",
    "drawer_upgrade.functionalstorage.sides.back": "后",
    "drawer_upgrade.functionalstorage.sides.down": "下",
    "drawer_upgrade.functionalstorage.sides.front": "前",
    "drawer_upgrade.functionalstorage.sides.left": "左",
    "drawer_upgrade.functionalstorage.sides.right": "右",
    "drawer_upgrade.functionalstorage.sides.up": "上",
    "drawer_upgrade.functionalstorage.void.fluid": "虚空销毁多余的流体",
    "drawer_upgrade.functionalstorage.void.item": "虚空销毁多余的物品",
    "drawer.block.contents": "内容:",
    "drawer.block.multiplier": "存储倍率:%s",
    "drawer.block.upgrades": "升级:",
    "drawer.block.upgrades.is_creative": "创造",
    "drawer.block.upgrades.is_void": "虚空",
    "drawer.block.upgrades.none": "无",
    "frameddrawer.use": "如何改变材质:\n在合成界面,第一个栏位放置用做抽屉外纹理的方块,第二个栏位放置用做抽屉内纹理的方块,第三个栏位放置镶框抽屉.\n",
    "functionalupgrade.desc.execute_every_tick": "每 %s ticks:",
    "functionalupgrade.desc.generate_fluid": "生成 %s mb %s",
    "functionalupgrade.desc.generate_item": "生成 %s %s",
    "gui.functionalstorage.amount": "数量:",
    "gui.functionalstorage.empty": "空",
    "gui.functionalstorage.fluid": "流体:",
    "gui.functionalstorage.item": "物品:",
    "gui.functionalstorage.open_gui": "下蹲时右键打开界面",
    "gui.functionalstorage.slot": "栏位:",
    "gui.functionalstorage.storage": "储存",
    "gui.functionalstorage.storage_range": "范围",
    "gui.functionalstorage.utility": "功能",
    "item.functionalstorage.collector_upgrade": "收集升级",
    "item.functionalstorage.configuration_tool": "配置工具",
    "item.functionalstorage.copper_upgrade": "铜升级",
    "item.functionalstorage.creative_vending_upgrade": "创造取出升级",
    "item.functionalstorage.diamond_upgrade": "钻石升级",
    "item.functionalstorage.dripping_upgrade": "滴水升级",
    "item.functionalstorage.gold_upgrade": "金升级",
    "item.functionalstorage.iron_downgrade": "铁升级",
    "item.functionalstorage.linking_tool": "连接工具",
    "item.functionalstorage.max_storage_upgrade": "最大存储升级",
    "item.functionalstorage.netherite_upgrade": "下界合金升级",
    "item.functionalstorage.obsidian_upgrade": "黑曜石生成器升级",
    "item.functionalstorage.puller_upgrade": "抽取升级",
    "item.functionalstorage.pusher_upgrade": "输出升级",
    "item.functionalstorage.redstone_upgrade": "红石升级",
    "item.functionalstorage.void_upgrade": "虚空升级",
    "item.functionalstorage.water_generator_upgrade": "水生成器升级",
    "item.utility.direction": "方向:",
    "item.utility.direction.desc": "在GUI中右击变更方向",
    "item.utility.downgrade": "栏位堆叠上限降级为64",
    "item.utility.slot": "栏位:",
    "item.utility.slot.desc": "在GUI中右击变更指向栏位",
    "itemGroup.functionalstorage": "功能性存储",
    "key.categories.storage": "存储",
    "key.categories.utility": "功能",
    "linkingtool.controller": "控制器:",
    "linkingtool.controller.configured": "已将控制器与工具连接",
    "linkingtool.drawer.clear": "抽屉频率已清除",
    "linkingtool.ender.changed": "抽屉频率已变更",
    "linkingtool.ender.clear": "对空气潜行+右击以清空频率.",
    "linkingtool.ender.frequency": "频率:",
    "linkingtool.ender.stored": "频率已存入工具",
    "linkingtool.ender.warning": "无法变更频率,抽屉中存在物品.再次潜行右击以忽略此安全提示",
    "linkingtool.linkingaction": "连接操作:",
    "linkingtool.linkingaction.add": "添加",
    "linkingtool.linkingaction.remove": "移除",
    "linkingtool.linkingaction.swapped": "操作切换为%s",
    "linkingtool.linkingmode": "连接模式:",
    "linkingtool.linkingmode.multiple": "复选",
    "linkingtool.linkingmode.multiple.desc": "连接两点间的多个抽屉至控制器",
    "linkingtool.linkingmode.single": "单选",
    "linkingtool.linkingmode.single.desc": "连接单个抽屉至控制器",
    "linkingtool.linkingmode.swapped": "模式切换为%s",
    "linkingtool.multiple_drawer.linked": "链接多个抽屉到控制器",
    "linkingtool.multiple_drawer.removed": "移除多个抽屉到控制器的链接",
    "linkingtool.single_drawer.linked": "链接单个抽屉到控制器",
    "linkingtool.single_drawer.removed": "移除单个抽屉到控制器的链接",
    "linkingtool.use": "* 对空气潜行+右击以变更模式或清空频率. \n* 左击末影抽屉记录其频率. \n* 对空气右击以变更连接操作. \n\n右击控制器以设置工具,然后连接附近的抽屉. \n\n手持该工具时,将会高亮所选控制器以及与其连接的抽屉.",
    "storageupgrade.desc.modify_base_dec": "使基础%s减少%s",
    "storageupgrade.desc.modify_base_inc": "使基础%s增加%s",
    "storageupgrade.desc.modify_factor_div": "将%s除以%s",
    "storageupgrade.desc.modify_factor_mult": "将%s乘以%s",
    "storageupgrade.desc.set_base": "将基础%s设为%s",
    "storageupgrade.obj.controller_range": "控制器范围",
    "storageupgrade.obj.fluid_storage": "流体存储量",
    "storageupgrade.obj.item_storage": "物品存储量",
    "upgrade.type": "种类:",
    "upgrade.type.storage": "存储",
    "upgrade.type.utility": "功能"
}